#!/bin/sh

#
# This script takes 2 input parameters:
#   $1 - Is the name of the user log
#   $2 - Is the location / directory of the user log.
#


# Maintain the following number of backup copies
COPIES=9

if [ -d "$2" ]
then

  cd $2

  if [ -f "$1" ]
  then
    i=$COPIES
    while [ "$i" != "1" ]
    do
      if [ -f $1.`/bin/expr $i - 1` ]
      then
        mv -f $1.`/bin/expr $i - 1` $1.$i
      fi
      i=`/bin/expr $i - 1`
    done
    #
    mv -f $1 $1.$i
  else
    echo "Error: " $1 " NOT found."
  fi
else
  echo "Usage: "
  echo "       rotatelog.sh  logname /path/to/logfile/"
fi

exit 0
